// const assertion (const cast)

let num = 12 as const;

// num = 13

const numbers = [12, 13] as const;
const user = {
  id: 1,
  name: "Amin",
} as const;

function sum(num1: number, num2: number): number {
  return num1 + num2;
}

// console.log(sum(...numbers));

const favorites = ["Js", "Study"] as const;

const users = [
  {
    id: 1,
    name: "Amin",
    favorites,
  },
] as const;

// users[0].favorites.push("Coding");

// console.log(users);

// Example 3

let actions = [{ type: "ADD_TODO" }, { type: "REMOVE_TODO" }] as const;

for (const action of actions) {
  if (action.type === "ADD_TODO") {
    console.log("Created");
  } else {
    console.log("Removed");
  }
}
